SourceID Docs
Nigeria

National Identification Number (NIN) Verification

This endpoint allows you to verify the validity of a National Identification Number (NIN).

Endpoint: POST {baseurl}/v1/api/verification/nin

Request Body

ParameterTypeRequiredDescription
countrystringYesThe country code (e.g., "NGA" for Nigeria).
referencestringYesA unique reference for the verification request.
verificationLevelstringNoThe level of verification to perform (e.g., "basic", "extended").
ninIdentifierstringYesThe National Identification Number to verify.
typestringYesThe type of identifier (e.g., "NIN", "vNIN").
customerstringNoID of the customer (optional).
verificationGroupstringNoID of the verification group (optional).

Sample Request

curl -X POST "{baseurl}/v1/api/verification/nin" \
-H "Content-Type: application/json" \
-H "x-api-key: {API-KEY}" \
-d '{
    "country": "NGA",
    "reference": "0122333444455555",
    "verificationLevel": "basic",
    "ninIdentifier": "1234567890",
    "type": "NIN",
    "customer": "6791457be570f7f292f1fe23",
    "verificationGroup": "6791457be570f7f292f1fe23"
}'

Sample Response

    {
      "status": true,
      "responseCode": "00",
      "statusCode": "200",
      "message": "NIN verification successful",
      "data": {
        "names": {
          "firstName": "",
          "lastName": "",
          "middleName": "",
          "title": null
        },
        "personalData": {
          "dateOfBirth": "",
          "gender": "",
          "religion": null,
          "height": null,
          "educationLevel": null,
          "employmentStatus": null
        },
        "address": {
          "residenceAddress": "",
          "residenceTown": null,
          "residenceLga": null,
          "residenceState": "",
          "residenceStatus": null
        },
        "contact": {
          "phoneNumber": ""
        },
        "identification": {
          "nin": "",
          "vnin": null,
          "centralId": null,
          "userId": null,
          "trackingId": ""
        },
        "origin": {
          "birthCountry": "",
          "birthState": null,
          "birthLga": null,
          "originState": "",
          "originLga": "",
          "originPlace": null
        },
        "documents": {
          "photo":"",
          "signature": null
        },
        "nextOfKin": [
          {}
        ],
        "parents": {
          "names": {
            "firstName": null,
            "lastName": null,
            "middleName": null
          }
        }
      },
      "meta": {
        "statusCode": "200",
        "isValid": true,
        "timeStamp": "Wed Apr 23 2025 06:10:08 GMT+0000 (Coordinated Universal Time)"
      }
    }